/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.237 Revision 1.280
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.237 2013/09/10 05:19:12 maekke Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.280 2015/01/09 01:27:25 pesa Exp $
4
5 09 Jan 2015; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.3.ebuild:
6 Stop using deprecated python_parallel_foreach_impl.
7
8 31 Dec 2014; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.3-r2.ebuild,
9 PyQt4-4.11.1.ebuild, PyQt4-4.11.2.ebuild:
10 Enforce USE dependency for media-libs/phonon.
11
12 10 Dec 2014; Mikle Kolyada <zlogene@gentoo.org> PyQt4-4.11.1.ebuild:
13 amd64 stable wrt bug #517344
14
15 22 Nov 2014; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.11.1.ebuild:
16 Stable on alpha, bug 523322
17
18*PyQt4-4.11.3 (15 Nov 2014)
19
20 15 Nov 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.3.ebuild,
21 -PyQt4-4.11.3_pre20141024.ebuild:
22 Version bump.
23
24*PyQt4-4.11.3_pre20141024 (01 Nov 2014)
25
26 01 Nov 2014; Davide Pesavento <pesa@gentoo.org>
27 +PyQt4-4.11.3_pre20141024.ebuild, -PyQt4-4.11.2-r1.ebuild:
28 Bump to 4.11.3 prerelease, which contains upstream fixes for bugs #525392 and
29 #525470. Also switch to out-of-source builds.
30
31 15 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.2-r1.ebuild:
32 Fix bug #525392.
33
34 14 Oct 2014; Davide Pesavento <pesa@gentoo.org>
35 +files/PyQt4-4.11.2-phonon.patch, PyQt4-4.11.2-r1.ebuild:
36 Fix building against media-libs/phonon (bug 525354).
37
38*PyQt4-4.11.2-r1 (13 Oct 2014)
39
40 13 Oct 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2-r1.ebuild,
41 metadata.xml:
42 Switch to new upstream build system. Introduce USE=testlib to decouple QtTest
43 from QtGui.
44
45 09 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
46 Revert to ~amd64, see bug #523322 comment #4.
47
48 09 Oct 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
49 Stable for amd64, wrt bug #523322
50
51 04 Oct 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.11.1.ebuild:
52 arm stable, bug #523322
53
54*PyQt4-4.11.2 (20 Sep 2014)
55
56 20 Sep 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2.ebuild,
57 PyQt4-4.11.1.ebuild:
58 Version bump. Silence harmless repoman warning.
59
60 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
61 Drop deprecated python versions.
62
63 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.3-r3.ebuild,
64 PyQt4-4.11.1.ebuild:
65 Stop using dohtml, remove old.
66
67 17 Jul 2014; Michael Palimaka <kensington@gentoo.org> -PyQt4-4.11.ebuild:
68 Remove old.
69
70*PyQt4-4.11.1 (15 Jul 2014)
71
72 15 Jul 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.1.ebuild,
73 PyQt4-4.11.ebuild:
74 Version bump.
75
76 20 Jun 2014; Ian Delaney <idella4@gentoo.org> PyQt4-4.10.3-r3.ebuild,
77 PyQt4-4.11.ebuild:
78 add py3.4 support req'd to support py packages such as pandas
79
80 30 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
81 PyQt4-4.10.3-r3.ebuild:
82 Restrict sip dep to =4.15* for older PyQt4 versions.
83
84*PyQt4-4.11 (30 May 2014)
85
86 30 May 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.ebuild:
87 Version bump.
88
89 21 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
90 PyQt4-4.10.3-r3.ebuild, metadata.xml:
91 Update pypi identifier in HOMEPAGE and <upstream> metadata tag. Thanks to
92 Martin Walch in bug 510812.
93
94 19 May 2014; Michał Górny <mgorny@gentoo.org> -PyQt4-4.10.2.ebuild,
95 -PyQt4-4.10.3.ebuild:
96 Drop the old versions that required python-exec:0.
97
98 02 Apr 2014; Michael Palimaka <kensington@gentoo.org> metadata.xml:
99 Remove python herd as discussed with them.
100
101*PyQt4-4.10.3-r3 (27 Mar 2014)
102
103 27 Mar 2014; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r3.ebuild:
104 Replace manual Python wrapping with proper eclass functions, bug #484404.
105
106 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
107 Stable for sparc, wrt bug #495638
108
109 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
110 Stable for x86, wrt bug #495638
111
112 19 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
113 Stable for alpha, wrt bug #495638
114
115 18 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
116 Stable for ia64, wrt bug #495638
117
118 14 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
119 Stable for ppc64, wrt bug #495638
120
121 08 Mar 2014; Pacho Ramos <pacho@gentoo.org> PyQt4-4.10.3-r2.ebuild:
122 amd64 stable, bug 495638
123
124 02 Feb 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
125 Stable for ppc, wrt bug #495638
126
127 30 Jan 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.10.3-r2.ebuild:
128 arm stable, bug #495638
129
130 28 Dec 2013; Steve Arnold <nerdboy@gentoo.org>
131 files/PyQt4-4.7.3-qreal_float_support.patch:
132 Updated qreal_float patch to remove first hunk (already applied
133 upstream). Tested on arm chromebook; no existing bug.
134
135*PyQt4-4.10.3-r2 (25 Dec 2013)
136
137 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.3-r2.ebuild,
138 -PyQt4-4.10.3-r1.ebuild, metadata.xml:
139 Introduce USE="designer".
140
141 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r2.ebuild:
142 old
143
144 23 Dec 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
145 Stable for sparc, wrt bug #483112
146
147 31 Oct 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.2.ebuild,
148 PyQt4-4.10.3-r1.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
149 Update the ebuilds to dep on dev-lang/python-exec.
150
151 23 Oct 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.1.ebuild:
152 old
153
154*PyQt4-4.10.3-r1 (23 Oct 2013)
155
156 23 Oct 2013; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r1.ebuild:
157 Support python-exec:2.
158
159 19 Sep 2013; Ben de Groot <yngwin@gentoo.org> PyQt4-4.10.3.ebuild:
160 Depend on sip >=4.15.0 to fix build failure (bug #485274)
161
162 17 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
163 PyQt4-4.10.2.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
164 Add explicit dep on python-exec:0 since the package wraps the script manually.
165
166*PyQt4-4.10.3 (17 Sep 2013)
167
168 17 Sep 2013; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.10.3.ebuild:
169 Version bump
170
171 13 Sep 2013; Jonathan Callen <jcallen@gentoo.org> PyQt4-4.10.1.ebuild,
172 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
173 Add missing [${PYTHON_USEDEP}] on dbus-python DEPEND
4 174
5 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild: 175 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild:
6 arm stable, bug #483112 176 arm stable, bug #483112
7 177
8 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild: 178 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:

Legend:
Removed from v.1.237  
changed lines
  Added in v.1.280

  ViewVC Help
Powered by ViewVC 1.1.20